Subject: FVWM: FlipFocus (fwd)

From: Brady Montz <[email-masked]>
Date: Mon, 29 Apr 1996 08:08:12 -0700 (MST)

> I have an idea for a useful function.  It is a slight modification to
> what Next [*] Focus does.  As a refresher, Next [*] Focus transfers
> focus to the next window, leaving the order unchanged.
> 
> The idea I have is for a function (FlipFocus) that switches the order.
> It could be used to flip back and forth between to windows using a
> single key.  I do this constantly, and currently have to remember
> whether to use Next or Prev.
> 
> Does anyone else think this would be useful?  If so, I could implement it
> and post a patch.
> 
> How should the function be invoked?  Invoking it as Next [*] FlipFocus would
> work (theoretically), but then what would FlipFocus do when called as just
> FlipFocus?
> 
> Comments? Suggestions?
> 
> Dan Niles
> [email-masked]

Perhaps the more general solution is a function Flip, and you could use it to
do things besides focus. 

[email-masked]
--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: Dan Niles <[email-masked]>
Date: Mon, 29 Apr 1996 10:19:47 -0500

> Perhaps the more general solution is a function Flip, and you could use it to

What besides Focus would you want to flip?  I can't think of anything, but
then I don't do things the same as everyone else.  What would happen if
this generic Flip were invoked with options?

Dan Niles
[email-masked]

---

From: Kai Grossjohann <[email-masked]>
Date: 29 Apr 1996 17:56:10 +0200

>>>>> On Mon, 29 Apr 1996 10:19:47 -0500, Dan Niles <[email-masked]>
>>>>> said:

  Dan> What besides Focus would you want to flip?

I could imagine "Flip Raise" or "Flip RaiseLower" or "Flip Iconify".
"Flip RaiseLower" might be useful if you have, say, and editor and a
previewing window which partly obstructs the editor window when
raised.  You could then use "Flip RaiseLower" to raise the preview
window to look at it, then lower it again to continue editing.

kai
-- 
Gleep!